<?php
//自定义评论列表模板
//获取用户UA信息   
function user_agent($ua){
    //开始解析操作系统   
    $os = null;
    if(preg_match('/Windows 95/i',$ua) || preg_match('/Win95/',$ua)){
            $os="Windows 95";}
        elseif(preg_match('/Windows NT 6.0/i',$ua)){
            $os="Windows Vista";}
        elseif(preg_match('/Windows NT 6.1/i',$ua)){
            $os="Windows 7";}
        elseif(preg_match('/Windows NT 5.1/i',$ua)){
            $os = "Windows XP";}
        elseif(preg_match('/Windows NT 5.2/i',$ua) && preg_match('/Win64/i',$ua)){
            $os="Windows XP 64 bit";}
        elseif(preg_match('/Windows NT 5.2/i',$ua)){
            $os="Windows Server 2003";}
        elseif(preg_match('/Mac_PowerPC/i',$ua)){
            $os="Mac OS";}
        elseif(preg_match('/Windows Phone/i',$ua)){
            $os="Windows Phone7";}
        elseif (preg_match('/Windows NT 6.2/i', $ua)){
            $os="Windows 8";}
        elseif (preg_match('/Windows NT 10.0/i', $ua)) {
            $os = "Windows 10";}
        elseif(preg_match('/Windows NT/i',$ua) || preg_match('/WinNT/i',$ua)){
            $os="Windows NT";}
        elseif(preg_match('/Windows CE/i',$ua)){
            $os="Windows CE";}
        elseif(preg_match('/ipad/i',$ua)){
            $os="iPad";}
        elseif(preg_match('/Touch/i',$ua)){
            $os="Touchw";}
        elseif(preg_match('/Symbian/i',$ua) || preg_match('/SymbOS/i',$ua)){
            $os="Symbian OS";}
        elseif (preg_match('/iPhone/i', $ua)) {
            $os="iPhone";}
        elseif(preg_match('/PalmOS/i',$ua)){
            $os="Palm OS";}
        elseif(preg_match('/QtEmbedded/i',$ua)){
            $os="Qtopia";}
        elseif(preg_match('/Ubuntu/i',$ua)){
            $os="Ubuntu Linux";}
        elseif(preg_match('/Gentoo/i',$ua)){
            $os="Gentoo Linux";}
        elseif(preg_match('/Fedora/i',$ua)){
            $os="Fedora Linux";}
        elseif(preg_match('/FreeBSD/i',$ua)){
            $os="FreeBSD";}
        elseif(preg_match('/NetBSD/i',$ua)){
            $os="NetBSD";}
        elseif(preg_match('/OpenBSD/i',$ua)){
            $os="OpenBSD";}
        elseif(preg_match('/SunOS/i',$ua)){
            $os="SunOS";}
        elseif(preg_match('/Linux/i',$ua)){
            $os="Linux";}
        elseif(preg_match('/Mac OS X/i',$ua)){
            $os="Mac OS X";}
        elseif(preg_match('/Macintosh/i',$ua)){
            $os="Mac OS";}
        elseif(preg_match('/Unix/i',$ua)){
            $os="Unix";}
        elseif(preg_match('#Nokia([a-zA-Z0-9.]+)#i',$ua,$matches)){
            $os="Nokia".$matches[1];}
        elseif(preg_match('/Mac OS X/i',$ua)){
            $os="Mac OS X";}
        else{
            $os='未知操作系统';
    }
    //开始解析浏览器   
    if (preg_match('#MSIE ([a-zA-Z0-9.]+)#i', $ua, $matches)) {
        $browser = 'Internet Explorer '. $matches[1];
    }elseif (preg_match('#Edge/([a-zA-Z0-9.]+)#i', $ua, $matches)){
        $browser = 'Microsoft Edge '. $matches[1];
    }elseif (preg_match('#360([a-zA-Z0-9.]+)#i', $ua, $matches)) {
        $browser = '360 Browser '. $matches[1];
    }elseif (preg_match('#SE 2([a-zA-Z0-9.]+)#i', $ua, $matches)) {
        $browser = 'SouGou Browser 2'.$matches[1];
    }elseif (preg_match('#LBBROWSER#i', $ua, $matches)) {
        $browser = 'CM Browser';
    }elseif (preg_match('#MicroMessenger/([a-zA-Z0-9.]+)#i', $ua, $matches)) {
        $browser = 'Built-in Browser of WeChat '.$matches[1];
    }elseif (preg_match('#QQBrowser/([a-zA-Z0-9.]+)#i', $ua, $matches)) {
        $browser = 'QQBrowser '.$matches[1];
    }elseif (preg_match('#BIDUBrowser/([a-zA-Z0-9.]+)#i', $ua, $matches)) {
        $browser = 'Baidu Browser '.$matches[1];
    }elseif (preg_match('#UCWEB([a-zA-Z0-9.]+)#i', $ua, $matches)) {
        $browser = 'UCWEB '. $matches[1];
    }elseif (preg_match('#Firefox/([a-zA-Z0-9.]+)#i', $ua, $matches)){
        $browser = 'Firefox '. $matches[1];
    }elseif (preg_match('#CriOS/([a-zA-Z0-9.]+)#i', $ua, $matches)){
        $browser = 'Chrome for iOS '. $matches[1];
    }elseif (preg_match('#Chrome/([a-zA-Z0-9.]+)#i', $ua, $matches)) {
        $browser = 'Google Chrome '. $matches[1];
        if (preg_match('#OPR/([a-zA-Z0-9.]+)#i', $ua, $matches)) {
            $browser = 'Opera '. $matches[1];
          if (preg_match('#opera mini#i', $ua)) $browser = 'Opera Mini'. $matches[1];
        }
    }elseif (preg_match('#Safari/([a-zA-Z0-9.]+)#i', $ua, $matches)) {
        $browser = 'Safari '. $matches[1];
    }elseif (preg_match('#Opera.(.*)Version[ /]([a-zA-Z0-9.]+)#i', $ua, $matches)) {
        $browser = 'Opera '. $matches[2];
        if (preg_match('#opera mini#i', $ua)) $browser = 'Opera Mini'. $matches[2];   
    }elseif (preg_match('#Maxthon( |\/)([a-zA-Z0-9.]+)#i', $ua,$matches)) {
        $browser = 'Maxthon '. $matches[2];
    }elseif(preg_match('#wp-(iphone|android)/([a-zA-Z0-9.]+)#i', $ua, $matches)){ // 1.2 增加 wordpress 客户端的判断
        $browser = 'wordpress '. $matches[2]; 
    }else{
        $browser='未知浏览器';
    }     
    return $os." | ".$browser;
}
/**
 * 获取访客VIP样式
 */
function get_author_class($comment_author_email, $user_id){
    global $wpdb;
    $author_count = count($wpdb->get_results(
    "SELECT comment_ID as author_count FROM $wpdb->comments WHERE comment_author_email = '$comment_author_email' "));
    if($author_count>=1 && $author_count< 5 )//数字可自行修改，代表评论次数。
        echo '<span class="showGrade0" title="萌萌哒新人~"><img src="'.get_stylesheet_directory_uri().'/images/level/level_0.svg" style="height: 1.5em; max-height: 1.5em; display: inline-block;"></span>';
    else if($author_count>=6 && $author_count< 10)
        echo '<span class="showGrade1" title="巴拉巴拉小魔仙"><img src="'.get_stylesheet_directory_uri().'/images/level/level_1.svg" style="height: 1.5em; max-height: 1.5em; display: inline-block;"></span>';
    else if($author_count>=10 && $author_count< 20)
        echo '<span class="showGrade2" title="初露头角"><img src="'.get_stylesheet_directory_uri().'/images/level/level_2.svg" style="height: 1.5em; max-height: 1.5em; display: inline-block;"></span>';
    else if($author_count>=20 && $author_count< 40)
        echo '<span class="showGrade3" title="大水笔"><img src="'.get_stylesheet_directory_uri().'/images/level/level_3.svg" style="height: 1.5em; max-height: 1.5em; display: inline-block;"></span>';
    else if($author_count>=40 && $author_count< 80)
        echo '<span class="showGrade4" title="大佬 orz"><img src="'.get_stylesheet_directory_uri().'/images/level/level_4.svg" style="height: 1.5em; max-height: 1.5em; display: inline-block;"></span>';
    else if($author_count>=80 && $author_count< 160)
        echo '<span class="showGrade5" title="日暮里大魔王"><img src="'.get_stylesheet_directory_uri().'/images/level/level_5.svg" style="height: 1.5em; max-height: 1.5em; display: inline-block;"></span>';
    else if($author_count>=160)
        echo '<span class="showGrade6" title="德国骨科"><img src="'.get_stylesheet_directory_uri().'/images/level/level_6.svg" style="height: 1.5em; max-height: 1.5em; display: inline-block;"></span>';
}
// 评论添加@
function wp_comment_add_at( $comment_text, $comment = '') {
if( $comment->comment_parent > 0) {
$comment_text = '@<a href="#comment-' . $comment->comment_parent . '">'.get_comment_author( $comment->comment_parent ) . '</a>： ' . $comment_text;
}
return $comment_text;
}
add_filter( 'comment_text' , 'wp_comment_add_at', 20, 2);

//评论添加验证码
function spam_protection_pre($commentdata){
    $sum=$_POST['sum'];
    switch($sum){
        case $_POST['num1']+$_POST['num2']:
        break;
        case null:
        wp_die('对不起: 请输入验证码。<a href="javascript:history.back()">返回上一页</a>','评论失败');
        break;
        default:
        wp_die('对不起: 验证码错误，请<a href="javascript:history.back()">返回</a>重试。','评论失败');
        break;
    }
    return $commentdata;
}
add_filter('preprocess_comment','spam_protection_pre');

if(!function_exists('anthem_comment_format')){
	function pixart_comment_format($comment, $args, $depth){
		$GLOBALS['comment'] = $comment;
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
            <div id="comment-<?php comment_ID(); ?>" class="comment-body new-comment" >
                <div class="comment-author vcard">
                    <?php echo get_avatar($comment,$size='64'); ?>
                    <?php if(user_can($comment->user_id, 'administrator')){echo "<span title='中央钦定' class='vip'>博主</span>";}?>
                    <?php printf( __( '<cite class="fn">%s</cite>'), get_comment_author_link() ); ?>
                    <?php echo get_author_class($comment->comment_author_email,$comment->user_id); ?>                    
                </div>
                <div class="comment-meta commentmetadata" style="right:8px;"><span class="says">发布于 &nbsp;</span><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>"><?php printf( __( '%1$s at %2$s' ), get_comment_date(),  get_comment_time() ); ?></a><span class="user-agent">&nbsp;( <?php echo user_agent($comment->comment_agent);?> )</span><?php edit_comment_link( __( '(Edit)' ), ' ' ); ?>
                    <?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
                </div>
                <div class="comment-text"><?php comment_text(); ?></div>
                
            </div>
        </li>		
		<?php
	}
}
//颜文字表情
function push_emoji_panel() {
	return '
		<style>.emoticon {cursor:pointer}</style>
		<a class="emoticon"> ⁄(⁄ ⁄•⁄ω⁄•⁄ ⁄)⁄</a>
		<a class="emoticon"> (,,• ₃ •,,)</a>
		<a class="emoticon"> (╯‵□′)╯︵┻━┻  </a>
		<a class="emoticon">(￣▽￣")</a>
		<a class="emoticon">(￣ˇ￣)</a>
		<a class="emoticon">(☆▽☆)y</a>
		<a class="emoticon">Σ( ° △ °|||)︴</a>
		<a class="emoticon">_(:3 」∠)_</a>
		<a class="emoticon">〒▽〒 </a>
		<a class="emoticon"> (￣▽￣)"</a>
		<a class="emoticon">(￣ε(#￣)☆╰╮o(￣皿￣///) </a>
		<a class="emoticon">（/TДT)/ </a>
		<a class="emoticon">_(┐「ε:)_</a>
		<a class="emoticon">(≖ ‿ ≖)✧</a>
		<a class="emoticon">o(*≧▽≦)ツ</a>
		<a class="emoticon">눈_눈</a>
		<a class="emoticon">ヽ(･ω･｡)ﾉ</a>
		<a class="emoticon">(=ﾟωﾟ)ﾉ</a>
		<a class="emoticon">(○’ω’○)</a>
		<a class="emoticon">(´-ι_-｀)</a>
		<a class="emoticon">ヾ(o◕∀◕)ﾉ</a>
		<a class="emoticon">(＃｀皿´)</a>
		<a class="emoticon">( ＿ ＿)ノ｜</a>
		<a class="emoticon">(ฅ´ω`ฅ)</a>
		<a class="emoticon">◔ ‸◔？</a>
		<a class="emoticon">(..•˘_˘•..)</a>
		<a class="emoticon">(๑＞ڡ＜)☆</a>
		<a class="emoticon">(￣^￣)</a>
		<a class="emoticon">ヽ(○´∀`)ﾉ♪ </a>
		<a class="emoticon">(。-`ω´-)</a>
		<a class="emoticon">( ﹁ ﹁ )</a>
		<a class="emoticon">Σ(-`Д´-ﾉ；)ﾉ</a>
		<a class="emoticon">(:3[▓▓]</a>
		<a class="emoticon">๑乛◡乛๑</a>
		<a class="emoticon">_(・ω・｣ ∠)_</a>
		<a class="emoticon">(ง •̀_•́)ง </a>
		<a class="emoticon">(“▔□▔)</a>
		<a class="emoticon">(￣ε(#￣)</a>
		<a class="emoticon">(=￣ω￣=)</a>
		<a class="emoticon">(σ‘・д･)σ</a>
	';
}