<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <?php wp_head();?>
    <script>
        <?php echo pixart_option('statistic_h');?>
    </script>
    
    <?php if ( is_home() ) { ?>
        <meta name="description" content="<?php echo pixart_option('description'); ?>" />
        <meta name="keywords" content="<?php echo pixart_option('keyword'); ?>" />
    <?php } ?>

</head>
<body>
    <div id="page">
        <header class="site-header">
            <nav class="navbar navbar-expand-lg bg-dark  navbar-dark fixed-top custom-navbar">
                <a class="navbar-brand" title="<?php bloginfo( 'name' ); ?>" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
						{
						<span class="logo-font-color">
						<ruby>图<rp>(</rp><rt>tu</rt><rp>)</rp>
							-<rp>(</rp><rt>u</rt><rp>)</rp>
							钉<rp>(</rp><rt>din</rt><rp>)</rp></ruby>
						</span><ruby>
							}<rp>(</rp><rt>.com</rt><rp>)</rp></ruby>
					</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse " id="collapsibleNavbar">
                    <div id="site-navigation" class="main-navigation ml-lg-auto d-lg-flex" role="navigation">
                        <?php
                            if (has_nav_menu('primary')) {
                                wp_nav_menu( array(
                                    'theme_location' => 'primary',
                                    'container' => '',
                                    'menu_class' => 'nav navbar-nav',
                                    'fallback_cb' => 'wp_bootstrap_navwalker::fallback',
                                    'before' => '',
                                    'after' => '',
                                    'walker' => new wp_bootstrap_navwalker()
                                    )
                                );
                            } else {
                                wp_page_menu( array(
                                    'before' 		=> '<ul class="nav-menu navbar-nav d-lg-block">',
                                    'after' 			=> '</ul>',
                                ) );
                            }
						?>													
                        <div class="nav-search">
							<a class=" search-toggle" data-toggle="modal" data-target="#search-block" href="#search-blocks"><i class="fa fa-search"></i></a>
                        </div><!-- .navbar-search -->
					</div>
                </div>  
            </nav>
            
        </header><!--Header end-->
        <div class="clear"></div>