<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <?php wp_head();?>
</head>
<body>
    <div id="page">
        <header>
            <nav class="navbar navbar-expand-lg bg-warning navbar-dark fixed-top custom-navbar">
                <a class="navbar-brand" title="<?php bloginfo( 'name' ); ?>" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
						{
						<span class="logo-font-color">
						<ruby>图<rp>(</rp><rt>tu</rt><rp>)</rp>
							-<rp>(</rp><rt>u</rt><rp>)</rp>
							钉<rp>(</rp><rt>din</rt><rp>)</rp></ruby>
						</span><ruby>
							}<rp>(</rp><rt>.com</rt><rp>)</rp></ruby>
					</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse " id="collapsibleNavbar">
                    <div id="site-navigation" class="main-navigation ml-lg-auto d-lg-flex" role="navigation">
                        <?php
                            if (has_nav_menu('primary')) {
                                wp_nav_menu( array(
                                    'theme_location' => 'primary',
                                    'container' => '',
                                    'menu_class' => 'nav navbar-nav',
                                    'fallback_cb' => 'wp_bootstrap_navwalker::fallback',
                                    'before' => '',
                                    'after' => '',
                                    'walker' => new wp_bootstrap_navwalker()
                                    )
                                );
                            } else {
                                wp_page_menu( array(
                                    'before' 		=> '<ul class="nav-menu navbar-nav d-lg-block">',
                                    'after' 			=> '</ul>',
                                ) );
                            }
						?>													
                        <div class="search">
							<a class=" search-toggle" href=""><i class="fa fa-search"></i></a>
                        </div><!-- .navbar-search -->
                        <div class="login">
                            <a class=""  href=""><i class="fa fa-user-circle-o" aria-hidden="true"></i></a>
                        </div>
					</div>
                </div>  
            </nav>
        </header><!--Header end-->
        <section id="content">
            <div class="container viewport">
                <div id="carousel-img" class="carousel slide" data-ride="carousel">
 
                    <!-- 指示符 -->
                    <ul class="carousel-indicators">
                    <li data-target="#carousel-img" data-slide-to="0" class="active"></li>
                    <li data-target="#carousel-img" data-slide-to="1"></li>
                    <li data-target="#carousel-img" data-slide-to="2"></li>
                    </ul>

                    <!-- 轮播图片 -->
                    <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img class="rounded" src="http://static.runoob.com/images/mix/img_fjords_wide.jpg">
                    </div>
                    <div class="carousel-item">
                        <img class="rounded" src="http://static.runoob.com/images/mix/img_nature_wide.jpg">
                    </div>
                    <div class="carousel-item">
                        <img class="rounded" src="http://static.runoob.com/images/mix/img_mountains_wide.jpg">
                    </div>
                    </div>

                    <!-- 左右切换按钮 -->
                    <a class="carousel-control-prev" href="#carousel-img" data-slide="prev">
                    <span class="carousel-control-prev-icon"></span>
                    </a>
                    <a class="carousel-control-next" href="#carousel-img" data-slide="next">
                    <span class="carousel-control-next-icon"></span>
                    </a>

                </div>
                <div class="recommend-line col-md-10 offset-md-1 col-sm-12"><a>大家正在关注</a></div>
                <div class="ad row">
                    
                    <div class="col-6 col-md-4 col-lg-2 ad-box">
                        <img class="img-fluid rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg">
                    </div>
                    <div class="col-6 col-md-4 col-lg-2  ad-box">
                        <img  class="img-fluid rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg" >
                    </div>
                    <div class="col-6 col-md-4 col-lg-2 ad-box">
                        <img class="img-fluid rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg">
                    </div>
                    <div class="col-6 col-md-4 col-lg-2 ad-box">
                        <img class="img-fluid  rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg" >
                    </div>
                    <div class="col-6 col-md-4 col-lg-2 ad-box">
                        <img class="img-fluid rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg">
                    </div>
                    <div class="col-6 col-md-4 col-lg-2 ad-box">
                        <img class="img-fluid rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg">
                    </div>
                </div>
                <div class="recommend-line col-md-10 offset-md-1 col-sm-12"><a>为您推荐</a></div>
                <div class="work-list row">                    
                    <article class="card-box col-6 col-md-4 col-lg-2"> 
                        
                            <a href="https://acg12.com/277168/" target="_blank" class="card-img">
                                <img class="img-fluid" src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" data-src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" alt="【动漫图集】阳炎project-第十九弹"> 
                            </a> 
                            <div class="card-info">
                                <p class="card-info-title">
                                    <a href="https://www.zcool.com.cn/work/ZMjk2OTU2OTI=.html" title="【恩万建筑摄影】Little Woods 咖啡店" class="title-content" target="_blank" z-st="home_main_card_title" style="width: 178px;">【恩万建筑摄影】Little Woods 咖啡店</a>
                                </p>    
                                
                                <p class="time" title="审核通过时间：2018-08-17 20:34:49；创建时间：2018-08-17 19:48:30">2018-08-17</p>                        
                            </div> 
                            <div class="card-item">
                                <span class="user-avatar showMemberCard">
                                    <a href="https://www.zcool.com.cn/u/13371187" title="恩万建筑摄影" target="_blank" z-st="home_main_card_user">
                                    <img src="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@80w_80h_1c_1e_1o_100sh.jpg" srcset="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@160w_160h_1c_1e_1o_100sh.jpg 2x" width="30" height="30" alt="">
                                        恩万建筑摄影
                                    </a>
                                </span> 
                            </div>
                    </article>
                    <article class="card-box col-6 col-md-4 col-lg-2"> 
                        
                            <a href="https://acg12.com/277168/" target="_blank" class="card-img">
                                <img class="img-fluid" src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" data-src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" alt="【动漫图集】阳炎project-第十九弹"> 
                            </a> 
                            <div class="card-info">
                                <p class="card-info-title">
                                    <a href="https://www.zcool.com.cn/work/ZMjk2OTU2OTI=.html" title="【恩万建筑摄影】Little Woods 咖啡店" class="title-content" target="_blank" z-st="home_main_card_title" style="width: 178px;">【恩万建筑摄影】Little Woods 咖啡店</a>
                                </p>    
                                
                                <p class="time" title="审核通过时间：2018-08-17 20:34:49；创建时间：2018-08-17 19:48:30">2018-08-17</p>                        
                            </div> 
                            <div class="card-item">
                                <span class="user-avatar showMemberCard">
                                    <a href="https://www.zcool.com.cn/u/13371187" title="恩万建筑摄影" target="_blank" z-st="home_main_card_user">
                                    <img src="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@80w_80h_1c_1e_1o_100sh.jpg" srcset="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@160w_160h_1c_1e_1o_100sh.jpg 2x" width="30" height="30" alt="">
                                        恩万建筑摄影
                                    </a>
                                </span> 
                            </div>
                    </article>
                    <article class="card-box col-6 col-md-4 col-lg-2"> 
                        
                            <a href="https://acg12.com/277168/" target="_blank" class="card-img">
                                <img class="img-fluid" src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" data-src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" alt="【动漫图集】阳炎project-第十九弹"> 
                            </a> 
                            <div class="card-info">
                                <p class="card-info-title">
                                    <a href="https://www.zcool.com.cn/work/ZMjk2OTU2OTI=.html" title="【恩万建筑摄影】Little Woods 咖啡店" class="title-content" target="_blank" z-st="home_main_card_title" style="width: 178px;">【恩万建筑摄影】Little Woods 咖啡店</a>
                                </p>    
                                
                                <p class="time" title="审核通过时间：2018-08-17 20:34:49；创建时间：2018-08-17 19:48:30">2018-08-17</p>                        
                            </div> 
                            <div class="card-item">
                                <span class="user-avatar showMemberCard">
                                    <a href="https://www.zcool.com.cn/u/13371187" title="恩万建筑摄影" target="_blank" z-st="home_main_card_user">
                                    <img src="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@80w_80h_1c_1e_1o_100sh.jpg" srcset="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@160w_160h_1c_1e_1o_100sh.jpg 2x" width="30" height="30" alt="">
                                        恩万建筑摄影
                                    </a>
                                </span> 
                            </div>
                    </article>
                    <article class="card-box col-6 col-md-4 col-lg-2"> 
                        
                            <a href="https://acg12.com/277168/" target="_blank" class="card-img">
                                <img class="img-fluid" src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" data-src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" alt="【动漫图集】阳炎project-第十九弹"> 
                            </a> 
                            <div class="card-info">
                                <p class="card-info-title">
                                    <a href="https://www.zcool.com.cn/work/ZMjk2OTU2OTI=.html" title="【恩万建筑摄影】Little Woods 咖啡店" class="title-content" target="_blank" z-st="home_main_card_title" style="width: 178px;">【恩万建筑摄影】Little Woods 咖啡店</a>
                                </p>    
                                
                                <p class="time" title="审核通过时间：2018-08-17 20:34:49；创建时间：2018-08-17 19:48:30">2018-08-17</p>                        
                            </div> 
                            <div class="card-item">
                                <span class="user-avatar showMemberCard">
                                    <a href="https://www.zcool.com.cn/u/13371187" title="恩万建筑摄影" target="_blank" z-st="home_main_card_user">
                                    <img src="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@80w_80h_1c_1e_1o_100sh.jpg" srcset="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@160w_160h_1c_1e_1o_100sh.jpg 2x" width="30" height="30" alt="">
                                        恩万建筑摄影
                                    </a>
                                </span> 
                            </div>
                    </article>
                    <article class="card-box col-6 col-md-4 col-lg-2"> 
                        
                            <a href="https://acg12.com/277168/" target="_blank" class="card-img">
                                <img class="img-fluid" src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" data-src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" alt="【动漫图集】阳炎project-第十九弹"> 
                            </a> 
                            <div class="card-info">
                                <p class="card-info-title">
                                    <a href="https://www.zcool.com.cn/work/ZMjk2OTU2OTI=.html" title="【恩万建筑摄影】Little Woods 咖啡店" class="title-content" target="_blank" z-st="home_main_card_title" style="width: 178px;">【恩万建筑摄影】Little Woods 咖啡店</a>
                                </p>    
                                
                                <p class="time" title="审核通过时间：2018-08-17 20:34:49；创建时间：2018-08-17 19:48:30">2018-08-17</p>                        
                            </div> 
                            <div class="card-item">
                                <span class="user-avatar showMemberCard">
                                    <a href="https://www.zcool.com.cn/u/13371187" title="恩万建筑摄影" target="_blank" z-st="home_main_card_user">
                                    <img src="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@80w_80h_1c_1e_1o_100sh.jpg" srcset="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@160w_160h_1c_1e_1o_100sh.jpg 2x" width="30" height="30" alt="">
                                        恩万建筑摄影
                                    </a>
                                </span> 
                            </div>
                    </article>
                    <article class="card-box col-6 col-md-4 col-lg-2"> 
                        
                            <a href="https://acg12.com/277168/" target="_blank" class="card-img">
                                <img class="img-fluid" src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" data-src="https://static.acg12.com/uploads/2018/08/4c24131096a0c4278d2b0cafecb7cd34-200x300.jpg" alt="【动漫图集】阳炎project-第十九弹"> 
                            </a> 
                            <div class="card-info">
                                <p class="card-info-title">
                                    <a href="https://www.zcool.com.cn/work/ZMjk2OTU2OTI=.html" title="【恩万建筑摄影】Little Woods 咖啡店" class="title-content" target="_blank" z-st="home_main_card_title" style="width: 178px;">【恩万建筑摄影】Little Woods 咖啡店</a>
                                </p>    
                                
                                <p class="time" title="审核通过时间：2018-08-17 20:34:49；创建时间：2018-08-17 19:48:30">2018-08-17</p>                        
                            </div> 
                            <div class="card-item">
                                <span class="user-avatar showMemberCard">
                                    <a href="https://www.zcool.com.cn/u/13371187" title="恩万建筑摄影" target="_blank" z-st="home_main_card_user">
                                    <img src="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@80w_80h_1c_1e_1o_100sh.jpg" srcset="https://img.zcool.cn/community/001a975ac35f8ea8012062e336f9d8.jpg@160w_160h_1c_1e_1o_100sh.jpg 2x" width="30" height="30" alt="">
                                        恩万建筑摄影
                                    </a>
                                </span> 
                            </div>
                    </article>
                    <!--article end-->
                </div><!--work-list end-->
                <div class="page_navi"><?php par_pagenavi(9); ?></div><!--page_navi end-->
                <div class="advlong-default col-12" z-st="home_bottom_ad_01">
                    <a href="https://revive.hellorf.com/www/delivery/ck.php?oaparams=2__bannerid=41__zoneid=24__cb=56dadbeede__oadest=http%3A%2F%2Fspecial.zcool.com.cn%2Fyousheng%2Fcubeinterview" target="_blank">
                        <img src="https://reviveimg.hellorf.com/www/images/dda6736197e4b53118eee0eac914fb11.jpg" class="img-fluid">
                    </a>
                </div><!--advlong end-->
                <div class="recommend-line col-md-10 offset-md-1 col-sm-12"><a>猜你喜欢</a></div>
                <div class="ad row">
                    
                    <div class="col-6 col-md-4 col-lg-2 ad-box">
                        <img class="img-fluid rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg">
                    </div>
                    <div class="col-6 col-md-4 col-lg-2  ad-box">
                        <img  class="img-fluid rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg" >
                    </div>
                    <div class="col-6 col-md-4 col-lg-2 ad-box">
                        <img class="img-fluid rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg">
                    </div>
                    <div class="col-6 col-md-4 col-lg-2 ad-box">
                        <img class="img-fluid  rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg" >
                    </div>
                    <div class="col-6 col-md-4 col-lg-2 ad-box">
                        <img class="img-fluid rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg">
                    </div>
                    <div class="col-6 col-md-4 col-lg-2 ad-box">
                        <img class="img-fluid rounded" src="https://reviveimg.hellorf.com/www/images/464447de10a7defdf9b403571dc47161.jpg">
                    </div>
                </div><!--adv 6 bottom end-->
                <div class="col-12" id="home-links">
                    <div class="recommend-line col-md-10 offset-md-1 col-sm-12"><a>友情链接</a></div>
                    <ul class="lx7">
						<?php wp_list_bookmarks('title_li=&before=<li class="link-f link-name wow fadeInUp" data-wow-delay="0.3s"><i class="fa fa-link"></i>&after=</li>&categorize=0&show_images=0&orderby=rating&order=DESC&category='); ?>
					</ul>
                </div><!--friendlylink end-->
            </div><!--container end-->
        </section><!--content end-->
        <footer>
            <div class="site-info">
                <div class="container-fluid">
                    <div class="row">
                        
                        <div class="copyright col-12">
                            <div class="theme-link">
                                Copyright © 2018 <a href="http://tuudin.com/" title="图钉">图钉</a>						</div>
                            <div class="author-link">Crafted with ♥ by : <a href="http://tuudin.com" target="_blank" title="Acadia">Acadia</a></div><div class="wp-link">Proudly Powered by: <a href="http://wordpress.org/" target="_blank" title="WordPress">WordPress</a></div>					</div><!-- .copyright -->
                    </div><!-- .row -->
                </div><!-- .container -->
            </div>
        </footer>
    </div>
<?php wp_footer(); ?>
</body>
</html>