//tocbot h1,h2,h3……id设置
function pixartToc(pixart_toc_display) {
    // 滚动及悬浮
    jQuery(document).ready(function() {
        if (jQuery("div").hasClass("toc-container")) {
            var $elm = jQuery('.toc-container');
            var iniTop = 350; 
            var finTop = jQuery(".entry-content").height(); 
            var hasScrolled = jQuery('.site-header').offset().top;
            if (hasScrolled > iniTop) {
                $elm.css({
                    'top': iniTop+ "px"
                });
            }
            jQuery(window).scroll(function() {
                var p = jQuery(window).scrollTop();
                if(p > finTop){
                    //如果移动距离大于.entry-content高度,则返回初始位置
                    $elm.css({
                        'top': iniTop+ "px"
                    });
                }else if((p < finTop)&&(p > iniTop)){
                    //如果移动距离小于.entry-content高度,大于初始高度,则保持在导航栏下方
                    $elm.css({
                        'top': p+70+ "px"
                    });
                }else{
                    $elm.css({
                        'top': iniTop+ "px"
                    }); 
                }
            });
           
        }
    });
    if (jQuery("div").hasClass("toc-container")) {
        // 初始化
        if (pixart_toc_display) {
            var id = 1;
            jQuery(".entry-content").children("h1,h2,h3,h4,h5").each(function() {
                //var hyphenated = $(this).text().replace(/\s/g, '-');
                var hyphenated = "pixart-" + id;
                jQuery(this).attr('id', hyphenated);
                id++;
            });
        
        }
    
        tocbot.init({
            // Where to render the table of contents.
            tocSelector: '.toc',
            // Where to grab the headings to build the table of contents.
            contentSelector: '.toc-content',
            // Which headings to grab inside of the contentSelector element.
            headingSelector: 'h2, h3',
        });
    }
}
pixartToc(true);
