<?php 
/**
 * Template name: 网址导航
 * Description:   网址导航页面
 */


get_header();?>
        <section id="content">
            <div class="container viewport">
            <?php
                while ( have_posts() ) :
                    the_post();?>
                    <header class="entry-header">
                        <?php the_title( '<h1 class="page-entry-title">', '</h1>' ); ?>
                    </header><!-- .entry-header -->
                    <div class="entry-content toc-content">
                        <div class="toc-container"><div class="toc"></div></div><!--目录-->
                        <?php
                            the_content();
                            if(!empty(pixart_option('page_link_cat'))){
                                echo wp_list_bookmarks(array(
                                    'category'         => pixart_option('page_link_cat'),
                                    'category_orderby' => 'id',/*（字符串）用以排列链接分类的值。*/
                                    'category_order'   => 'ASC',
                                    'orderby'          => 'rating',
                                    'order'            => 'DESC',
                                    'echo'             => false,
                                    'show_description' => true,
                                    'between'          => '',
                                    'title_li'         => __(''),
                                    'category_before'  => '',
                                    'category_after'   => ''
                                ));
                            }
                            
                        ?>
                        
                    </div><!-- .entry-content -->
                    
                <?php
                    // If comments are open or we have at least one comment, load up the comment template.
                    if ( comments_open() || get_comments_number() ) :
                        comments_template();
                    endif;

                endwhile; // End of the loop.
                ?>
            </div><!--container end-->
            <div class="clear"></div>
        </section><!--content end-->
<?php get_footer();?>